# number-recognize
## description
阿比多斯学院的智能机有一种特殊的识别系统，可以识别算式。你需要复现这种识别系统的一小部分功能。可以识别出的算式中包含e123456789+-十二种符，而你需要算出算式的内容。

每个待识别算式的构成是这样的:待识别算式由五行字符串表示，这些字符串由空格和小写字母x组成。多个×共同拼成0123456789+-十二种字符之一(所有字符样例在题目下方给出)。每个0123456789+-字符之间由至少一列空格分开。

## Input
五行，不超过一百五十列，由小写字母x和空格组成的待识别算式。过程中涉及到的量均在int范围以内。每个字符的所占区域(在字符样例部分，用小数点表示出)不会贴在一起。

## Output
一行一个整数，表示识别出的算式，经过计算得到的结果。

## Example
### Input
xxx      xxx              xxx      xxx             x   x x           xxx   xxx            xxx      xxx          xxx xxx    
x x      x                x x        x             x   x x      x      x   x x              x        x          x   x x    
xxx      xxx     xxx      xxx      xxx    xxx      x   xxx     xxx   xxx   xxx     xxx    xxx      xxx   xxx    xxx xxx    
  x      x x              x x      x               x     x      x      x   x x              x      x              x x x    
xxx      xxx              xxx      xxx             x     x           xxx   xxx            xxx      xxx          xxx xxx    

### Output
-51

## Models
```
xxx
x x
x x
x x
xxx

  x
  x
  x
  x
  x

xxx
  x
xxx
x  
xxx

xxx
  x
xxx
  x
xxx

x x
x x
xxx
  x
  x

xxx
x  
xxx
  x
xxx

xxx
x  
xxx
x x
xxx

xxx
  x
  x
  x
  x

xxx
x x
xxx
x x
xxx

xxx
x x
xxx
  x
xxx

   
 x 
xxx
 x 
   

   
   
xxx
   
   
```